import * as Vue3Toastify from "vue3-toastify";
import "vue3-toastify/dist/index.css";

export default defineNuxtPlugin((nuxtApp) => {
  nuxtApp.vueApp.use(Vue3Toastify.default, { autoClose: 2000 });

  return {
    provide: { toast: Vue3Toastify.toast },
  };
});
