export interface FrontMenu {
  id: number
  id_parent: number
  active: boolean
  position_id: number
  id_front_page: number
  is_default: boolean
  is_root: boolean
  url: string
  front_menu_lang: FrontMenuLang[]
}

export interface FrontMenuLang {
  name: string
  id_lang: number
  id_menu: number
  link_title: string
  meta_title: string
  meta_description: string
  link_rewrite: string
}


export interface UIFrontMenu extends FrontMenu {
  children?: UIFrontMenu[];
}